Page MenuHomePhabricator

End of August milestone: Begin migrating job queue processing to multi-DC enabled eventbus infrastructure.
Closed, ResolvedPublic

Description

By the end of August we need to expose a job execution endpoint and test it with a dummy job going through the whole cycle from MW all the way to the executor

Event Timeline

Pchelolo created this task.Jul 11 2017, 8:07 PM
Pchelolo moved this task from doing to next on the Services board.Jul 11 2017, 8:20 PM
Pchelolo edited projects, added Services (next); removed Services (doing).
GWicke moved this task from next to later on the Services board.Jul 12 2017, 10:24 PM
GWicke edited projects, added Services (later); removed Services (next).
elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Aug 4 2017, 3:09 PM
GWicke closed this task as Resolved.EditedSep 11 2017, 10:01 PM

Update from our month-end check-in:

  • We didn't reach the original August milestone 100%, but have essentially the full pipeline in place.
  • Null job testing is planned for this week, with execution and eventual full migration of the first production job planned for mid-month.

September work is tracked in T175637, so closing this task.